import org.junit.jupiter.api.Test;

import java.time.DayOfWeek;
import java.time.LocalDate;
import java.time.temporal.TemporalAdjusters;
import java.time.temporal.WeekFields;

public class TestDemo {
    @Test
    public void test1() {
        LocalDate startDate = LocalDate.parse("2023-09-08");
        System.out.println(startDate.get(WeekFields.of(DayOfWeek.MONDAY,1).weekOfMonth()));
        System.out.println(startDate.get(WeekFields.of(DayOfWeek.MONDAY,1).weekOfYear()));
    }
}
